Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
withdraw
/
sign
Child Address Sign-Only
curl --request POST \
  --url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/sign \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "assets": [
    {
      "address": "0xRecipient1Address",
      "amount": "10.5",
      "id": "{{assetId1}}",
      "reference": "sign-001"
    },
    {
      "address": "0xRecipient2Address",
      "amount": "25.0",
      "id": "{{assetId2}}",
      "reference": "sign-002"
    }
  ]
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/sign"

payload = { "assets": [
{
"address": "0xRecipient1Address",
"amount": "10.5",
"id": "{{assetId1}}",
"reference": "sign-001"
},
{
"address": "0xRecipient2Address",
"amount": "25.0",
"id": "{{assetId2}}",
"reference": "sign-002"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [
{
address: '0xRecipient1Address',
amount: '10.5',
id: '{{assetId1}}',
reference: 'sign-001'
},
{
address: '0xRecipient2Address',
amount: '25.0',
id: '{{assetId2}}',
reference: 'sign-002'
}
]
})
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/withdraw/sign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "amlScreening": {
      "message": "Address is not sanctioned",
      "provider": "ofac, fbi, tether, circle",
      "status": "success"
    },
    "amount": "0.005",
    "amountPaid": "0.005",
    "amountUSD": "0.005",
    "asset": {
      "address": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
      "createdAt": "2025-08-01T12:36:47.206Z",
      "currency": "USD",
      "decimals": 18,
      "id": "80f8ba40-d2c3-487c-bb37-e4c041492e0b",
      "isActive": true,
      "isNative": false,
      "name": "Tether USD",
      "network": "testnet",
      "standard": "BEP20",
      "symbol": "USDT",
      "updatedAt": "2025-08-01T12:36:47.206Z"
    },
    "assetSwept": null,
    "assetSweptAmount": null,
    "assetSweptAt": null,
    "assetSweptGasFee": null,
    "assetSweptHash": null,
    "assetSweptRecipientAddress": null,
    "assetSweptSenderAddress": null,
    "blockHash": null,
    "blockNumber": null,
    "blockchain": {
      "createdAt": "2025-08-01T12:36:47.166Z",
      "derivationPath": "m/44'/60'/0'/0",
      "id": "3953d0bc-4d9c-4dab-9814-bc204ea86028",
      "isActive": true,
      "isEvmCompatible": true,
      "isL2": false,
      "name": "BNB smart chain",
      "slug": "bnb-smart-chain",
      "symbol": "bnb",
      "tokenStandard": "BEP20",
      "updatedAt": "2025-08-01T12:36:47.166Z"
    },
    "chainId": null,
    "confirmations": null,
    "confirmed": true,
    "createdAt": "2025-08-06T11:20:15.385Z",
    "currency": "USD",
    "fee": null,
    "feeHash": null,
    "gasFee": null,
    "gasPrice": null,
    "gasUsed": null,
    "hash": "0x9df88df3ef381c449b7d87343885be552f51d58a1e36e8721f8290171c41324a",
    "id": "110a10b2-6fea-4e70-aecb-49c7306f5d41",
    "metadata": null,
    "network": "testnet",
    "note": null,
    "rate": null,
    "rateUSD": "1",
    "reason": null,
    "recipientAddress": "0xDBAcA914f11A8882D5917e2cDD9Dbcbd6f974406",
    "reference": "egfq3zz8S5",
    "senderAddress": "0x1345c2f58e22Eb85d5B85000F7FD8c8c8a301a01",
    "signedTransaction": "0xf8a9038407270e0082882e94337610d27c682e347c9cd60bd4b3b107c9d34ddd80b844a9059cbb000000000000000000000000dbaca914f11a8882d5917e2cdd9dbcbd6f9744060000000000000000000000000000000000000000000000000011c37937e0800081e6a0e29c45e1de02e6fb4336afc82b8537e035ccafd2669a75992d42ef185ae08216a07febc9ff3883c560ae5d5b3cda3aa570673ad8010efc66a847c994b6f65230ea",
    "status": "SUCCESS",
    "toAmount": null,
    "toCurrency": null,
    "tokenAddress": "0x337610d27c682E347C9cD60BD4b3b107C9d34dDd",
    "type": "SIGNED",
    "updatedAt": "2025-08-06T11:20:15.385Z",
    "wallet": {
      "address": "0x48197e643FfE94C045E96268c3d749eFd5Cf62d6",
      "configurations": {
        "autoSweeping": {
          "isActive": false,
          "threshold": 0
        },
        "withdrawal": {
          "gasless": {
            "isActive": false,
            "operator": "gt",
            "threshold": 0
          }
        }
      },
      "createdAt": "2025-08-01T17:25:56.817Z",
      "derivationPath": "m/44'/60'/0'/0/0",
      "description": "bnb",
      "id": "acff0ed8-0592-4942-848a-6d0a3559c279",
      "isActive": true,
      "name": "BNB Wallet",
      "network": "testnet",
      "status": "ACTIVE",
      "updatedAt": "2025-08-04T15:24:38.130Z"
    }
  },
  "message": "Withdrawal request signed",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"ADDRESS_ID"

Body

application/json
assets
object[]
Example:
[
{
"address": "0xRecipient1Address",
"amount": "10.5",
"id": "{{assetId1}}",
"reference": "sign-001"
},
{
"address": "0xRecipient2Address",
"amount": "25.0",
"id": "{{assetId2}}",
"reference": "sign-002"
}
]

Response

200 - application/json

Withdraw / Withdraw (Batch)

data
object
message
string
Example:

"Withdrawal request signed"

statusCode
number
Example:

200